Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | List of all members
CoinWarmStartDual Class Reference

WarmStart information that is only a dual vector. More...

`#include <CoinWarmStartDual.hpp>`

Inheritance diagram for CoinWarmStartDual:
[legend]
Collaboration diagram for CoinWarmStartDual:
[legend]

## Public Member Functions
int | size () const
| return the size of the dual vector More...
const double * | dual () const
| return a pointer to the array of duals More...
void | assignDual (int size, double *&dual)
| Assign the dual vector to be the warmstart information. More...
| CoinWarmStartDual ()
| CoinWarmStartDual (int size, const double *dual)
| CoinWarmStartDual (const CoinWarmStartDual &rhs)
CoinWarmStartDual & | operator= (const CoinWarmStartDual &rhs)
virtual CoinWarmStart * | clone () const
| `Virtual constructor' More...
virtual | ~CoinWarmStartDual ()
Dual warm start `diff' methods
virtual CoinWarmStartDiff * | generateDiff (const CoinWarmStart *const oldCWS) const
| Generate a `diff' that can convert the warm start passed as a parameter to the warm start specified by `this`. More...
virtual void | applyDiff (const CoinWarmStartDiff *const cwsdDiff)
| Apply `diff` to this warm start. More...
Public Member Functions inherited from CoinWarmStart
virtual | ~CoinWarmStart ()
| Abstract destructor. More...

## Private Attributes
Private data members
CoinWarmStartVector< double > | dual_

## Detailed Description

WarmStart information that is only a dual vector.

Definition at line 17 of file CoinWarmStartDual.hpp.

## Constructor & Destructor Documentation

CoinWarmStartDual::CoinWarmStartDual | ( |  | ) |
| inline

Definition at line 32 of file CoinWarmStartDual.hpp.

CoinWarmStartDual::CoinWarmStartDual | ( | int | size,
|  | const double * | dual
| ) |  |
| inline

Definition at line 34 of file CoinWarmStartDual.hpp.

CoinWarmStartDual::CoinWarmStartDual | ( | const CoinWarmStartDual & | rhs | ) |
| inline

Definition at line 39 of file CoinWarmStartDual.hpp.

virtual CoinWarmStartDual::~CoinWarmStartDual | ( |  | ) |
| inline virtual

Definition at line 58 of file CoinWarmStartDual.hpp.

## Member Function Documentation

int CoinWarmStartDual::size | ( |  | ) | const
| inline

return the size of the dual vector

Definition at line 20 of file CoinWarmStartDual.hpp.

const double* CoinWarmStartDual::dual | ( |  | ) | const
| inline

return a pointer to the array of duals

Definition at line 22 of file CoinWarmStartDual.hpp.

void CoinWarmStartDual::assignDual | ( | int | size,
|  | double *& | dual
| ) |  |
| inline

Assign the dual vector to be the warmstart information.

In this method the object assumes ownership of the pointer and upon return "dual" will be a NULL pointer. If copying is desirable use the constructor.

Definition at line 27 of file CoinWarmStartDual.hpp.

CoinWarmStartDual& CoinWarmStartDual::operator= | ( | const CoinWarmStartDual & | rhs | ) |
| inline

Definition at line 44 of file CoinWarmStartDual.hpp.

virtual CoinWarmStart* CoinWarmStartDual::clone | ( |  | ) | const
| inline virtual

`Virtual constructor'

Implements CoinWarmStart.

Definition at line 53 of file CoinWarmStartDual.hpp.

virtual CoinWarmStartDiff* CoinWarmStartDual::generateDiff | ( | const CoinWarmStart *const | oldCWS | ) | const
| virtual

Generate a `diff' that can convert the warm start passed as a parameter to the warm start specified by `this`.

The capabilities are limited: the basis passed as a parameter can be no larger than the basis pointed to by `this`.

Reimplemented from CoinWarmStart.

virtual void CoinWarmStartDual::applyDiff | ( | const CoinWarmStartDiff *const | cwsdDiff | ) |
| virtual

Apply `diff` to this warm start.

Update this warm start by applying `diff`. It's assumed that the allocated capacity of the warm start is sufficiently large.

Reimplemented from CoinWarmStart.

## Member Data Documentation

CoinWarmStartVector< double > CoinWarmStartDual::dual_
| private

Definition at line 90 of file CoinWarmStartDual.hpp.

The documentation for this class was generated from the following file:

- /tmp/Clp-1.17.6/CoinUtils/src/CoinWarmStartDual.hpp